<?php
/*
+===========================================+
|      ArabPortal V2.1.x Copyright © 2006   |
|   -------------------------------------   |
|            By Rafia AL-Otibi              |
|                    And                    |
|              Arab Portal Team             |
|   -------------------------------------   |
|      Web: http://www.ArabPortal.Net       |
|   -------------------------------------   |
|  Last Updated: 01/01/2007 Time: 00:00 AM  |
+===========================================+
*/

if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

include("modules/media/config.php");
$member_gp = $apt->format_data($apt->cookie['cgroup']);


if($apt->get['mode'] == 'post'){
if (!$allow_add){
$apt->errmsg("عفوا .. غير مصرح لك بالمشاركة");
}

if($apt->post['save']){
if(($allow_edit)  or ($new_active == 0)){$item_allow = 1;}else{$item_allow = 0;}
$title 	= $apt->format_data(trim($apt->post["title"]));
$user_id = $apt->format_data($apt->cookie['cid']);
$desc 	= $apt->format_data(trim($apt->post["post"]));
$catid 	= $apt->is_No('catid','post');
$item_comm = $apt->is_No('item_comm','post');
$moalif_list 	= $apt->post[moalif_list];
if($moalif_list== ''){
$moalif_list 	= $apt->format_data(trim($apt->post["moalif"]));
}else{
$moalif_list 	= $apt->post[moalif_list];
}
$live_link 	= $apt->format_data(trim($apt->post["live_link"]));
$vars = array($title);
if (!$apt->full($vars)){
     $apt->errmsg("البيانات غير مكتمله .. يرجى اعادة اكمال البيانات كامله");
}

if((!$live_link) or ($live_link !== 'http://')){
$fname = @basename($live_link);
$ext  = strrchr($fname,'.');
$ext  = strtolower($ext);
$allow_e = in_array($ext,$allow_ext);

$mediaply = in_array($ext,$mediaply_ext);
$realply = in_array($ext,$realply_ext);
$flash = in_array($ext,$flash_ext);
$flv   = in_array($ext,$flv_ext);


if($mediaply){
$viewer = 1;
}elseif($realply){
$viewer = 2;
}elseif($flash){
$viewer = 3;
}elseif($flv){
$viewer = 4;
}else{$viewer = 2;}

if(strstr($live_link,'youtube.com'))$viewer = 4;

$apt->query("INSERT INTO rafia_media_items VALUES ('', '$catid', '$title','$moalif_list','$desc', '$user_id', '$viewer', '$live_link', '$apt->time', 0, 0, 0, '$item_allow', '$item_comm',0,0,0,0)");
$itemid = $apt->insertid();
$url = "mod.php?mod=media&modfile=category&catid=$catid";
if($item_allow == 1){
$apt->bodymsg("تم إضافة المشاركه بنجاح",$url);
}else{
$apt->bodymsg("تم إضافة المشاركه بنجاح وانتظر تفعيل المشرف",$url);
}


}elseif($apt->files["live_upload"]["tmp_name"]){
//die(print_r($apt->files["live_upload"]));
$file 	= $apt->files["live_upload"]["tmp_name"];
$realname 	= $apt->files["live_upload"]["name"];
$type 	= $apt->files["live_upload"]["type"];
$size 	= $apt->files["live_upload"]["size"];
$ext  	= strrchr($realname,'.');
$size = $size / 1024;
$ext  = strtolower($ext);
$newname = time().rand(9,99).rand(999,99999);
$uploaded = $newname . $ext;
$allow_e = in_array($ext,$allow_ext);
$allow_t = in_array($type,$allow_types);


$mediaply = in_array($ext,$mediaply_ext);
$realply = in_array($ext,$realply_ext);
$flash = in_array($ext,$flash_ext);
$flv   = in_array($ext,$flv_ext);

if($mediaply){
$viewer = 1;
}elseif($realply){
$viewer = 2;
}elseif($flash){
$viewer = 3;
}elseif($flv){
$viewer = 4;
}else{$viewer = 2;}



if(!$allow_e){
$apt->errmsg("عفوا ... لا يسمح بتحميل هذا الامتداد من الملفات");
}elseif(!$allow_t){
$apt->errmsg("عفوا ... لا يسمح بتحميل هذا النوع من الملفات");
}elseif($size > $ufile_size){
$apt->errmsg("عفوا ... الملف الذي تحاول رفعه اكبر من الحجم المسموح به<br>الحجم المسموح به هو $file_size كيلوبايت");
}elseif(is_file("modules/media/items/$uploaded")){
$apt->errmsg("عفوا ... قد تم رفع هذه الملف من قبل او ان الملف يحمل اسم صوره موجوده مسبقا");
}else{

if(@is_uploaded_file($file)){
@move_uploaded_file($file,"modules/media/items/$uploaded");}
$item_file 	= "modules/media/items/$uploaded";
$apt->query("INSERT INTO rafia_media_items VALUES ('', '$catid', '$title','$moalif_list','$desc', '$user_id', '$viewer', '$item_file', '$apt->time', 0, 0, 0, '$item_allow', '$item_comm',0,0,0,0);");
$itemid = $apt->insertid();
$url = "mod.php?mod=media&modfile=category&catid=$catid";


if($item_allow == 1){
$apt->bodymsg("تم إضافة المشاركه بنجاح",$url);
}else{
$apt->bodymsg("تم إضافة المشاركه بنجاح وانتظر تفعيل المشرف",$url);
}
}
}else{
$apt->errmsg("عفوا ...يبدو انك لم تقم بإختيار ملف للمشاركة");
}
}else{
if(!$allow_add){
$apt->errmsg("عفوا .. غير مصرح لك بالمشاركة");
}
$catid 	= $apt->is_No('catid');
if((!$catid) || ($catid ==0)){
$cat_list = "<select size='1' name='catid'>";
$result = $apt->query("SELECT * FROM rafia_media_cat order by cat_main DESC");
while(@extract($apt->dbarray($result))){
if($cat_main == 1){
$cat_list .= "<option value='$cat_id'>$cat_title</option>";
}else{
$cat_list .= "<option value='$cat_id'>|-| $cat_title</option>";}
}
$cat_list .= "</select>";
}else{
$result = $apt->query("SELECT * FROM rafia_media_cat where cat_id ='$catid'");
@extract($apt->dbarray($result));
$cat_list = "<input type=hidden value='$cat_id' name='catid'>$cat_title";
}
$moalif_list .= "<select size='1' name='moalif_list'>";
$moalif_list .= "<option value=''>بصوت أخر</option>";
$result = $apt->query("SELECT * FROM rafia_media_moalif order by order_moalif ");
while(@extract($apt->dbarray($result))){
$moalif_list .= "<option value='$name_moalif'>$name_moalif</option>";
}
$moalif_list .= "</select>";

eval("\$form_code = \"" . $apt->gettemplate ( 'form_code' ) . "\";");
eval("\$media_middle .= \" " . $apt->getmodtemplate ( 'media_add_post', $modid,$mod_theme ) . "\";");

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'media_main', $modid,$mod_theme ) . "\";");
echo $index_middle;
}

}elseif($apt->get['mode'] == 'comment'){
$itemid 	= $apt->setid('itemid');
$user_name	= $apt->format_post(trim($apt->post["user_name"]));
$comment_text	= $apt->format_post(trim($apt->post["comment_text"]));
    if($apt->post["spam"] !== "newsnotspam_$cap"){
    $apt->bodymsg('عفوا ... كود التأكيد غير متطابق',"mod.php?mod=media&modfile=item&itemid=$itemid");
    exit;
    }
if(($allow_edit) or ($comment_allow == yes)){$comment_allow = 1;}else{$comment_allow = 0;}

$apt->query("INSERT INTO rafia_media_comment ( `comment_cat`, `comment_item`, `comment_text`, `comment_user`, `comment_allow`) VALUES ('0', '$itemid', '$comment_text', '$user_name', '$comment_allow');");
$apt->query("update rafia_media_items set item_comment=item_comment+1 where item_id=$itemid");

$url = "mod.php?mod=media&modfile=item&itemid=$itemid";
if($comment_allow == 1){
$apt->bodymsg("تم اضافة تعليقك بنجاح<br>انتظر قليلا ليتم نقلك الى المشاركه",$url);
}else{
$apt->bodymsg("تم اضافة تعليقك بنجاح<br>انتظر تفعيل المشرف",$url);
}
}else{
$url = "mod.php?mod=media";
$apt->bodymsg("عفوا ... يبدو انك اخطأت في العنوان<br>انتظر قليلا ليتم نقلك",$url);
}

?>